/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

@import './theme/ionicstarter.scss';


ion-modal.fullscreen {
  --width: 100%;
  --height: 100%;
  --border-radius: 0;
}

.footerElement{
  border-top:1px solid var(--ion-color-backgray);
  position: fixed;
  bottom: 0;
  left:0;
  right:0;
}

p,h1,h2,h3,h4,h5{
  margin:0;
  padding:0;
}

.search{
  ion-icon{
      font-size: 1.6rem
  }
}

//modal custom
.sc-ion-modal-md-h.success{
  --width:90% !important;
  --height:80% !important;
  --border-radius:5px;
}
//end modal custom
.swiper-pagination-bullet-active{
  --bullet-background-active:rgba(0,0,0,0.54);
}


ion-item {
  --ion-item-background: transparent;
}

//clear padding end item
ion-item.clearEnd{
  --ion-safe-area-right:0px !important;
  --inner-padding-end:0px !important;
}

//size global
.sizeMedium{
  font-size:1.6rem;
}

//custom css segment
ion-segment{
  --color:rgba(255, 255, 255, 0.7) !important;
  --font-weight: bold;
  --ion-toolbar-color-checked:var(--ion-color-light);
}

//ion-card
ion-card{
  ion-card-content{
      background: #fff;
  }
  &.sc-ion-card-md-h {
      box-shadow: 0 2px 4px rgba(var(--ion-color-dark-rgb),.24);
  }
}

//custom css toolbar
ion-toolbar{
  --background:var(--ion-color-slack);
  ion-item{
      --background:var(--ion-color-slack);
  }
  ion-title{
      color:var(--ion-color-light);
      --ion-padding:0px;
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      text-align: center;
  }
  ion-button {
      color:var(--ion-color-light);
  }
  /*
  ion-back-button {
      background: var(--ion-color-light);
  }
  */

}

// Menu user profile
ion-toolbar.user-profile {
  .user-avatar {
    width: 68px;
    height: 68px;
  }
  .item-inner {
    border-width: 0;
  }
}

// custom css buttton
ion-button{
  --box-shadow:none;
}

ion-button.transparent{
  --background:.transparent !important;
}


.list-complete{
  padding: 8px;
  ion-col{
      padding:5px;
  }
  ion-col:last-child{
      padding-right: 0px;
  }
  .complete-item{
      background:#fff;
      display: flex;
      flex-direction: column;
      //padding:2px;
      h5{
          text-align:left;
          font-weight: normal;
          font-size:0.8rem;
          color:var(--ion-color-dark);
          margin-bottom:5px;
      }
      p{
          font-size:0.75rem;
          color:var(--ion-color-medium);
          &:last-child{
              color:var(--ion-color-orange);
          }
      }
  }
}


.transparent{
  --background:transparent;
}
//size p medium
.sizePtitle{
  font-size: 0.95rem;
}


